﻿.table-cell-number, .table-cell-checkbox, .table-cell-bound, .table-cell-template {
    vertical-align: middle !important;
}

.table th {
    vertical-align: middle !important;
}

.table-cell-checkbox {
    padding-top: 10px !important;
}

.table-header-number {
    text-align: right !important;
}

.table-row-selected * {
    background-color: #e3f2fd;
}

.frame-control {
    border-radius: 4px;
    border: solid 1px #fafafa;
}

.static-table {
}

    .static-table table {
        border: solid 1px transparent;
        border-radius: 25px;
    }

    .static-table.slim {
        padding-bottom: 5px;
    }

        .static-table.slim td {
            padding-left: 5px;
            padding-right: 5px;
            padding-bottom: 2px;
            padding-top: 5px;
        }

    .static-table td {
        padding: 8px;
        border-bottom: 1px solid #eceff1;
    }

    .static-table .td-bottom {
        padding-bottom: 0px;
        padding-top: 8px;
    }

    .static-table .td-top {
        padding-bottom: 8px;
        padding-top: 0px;
    }

    .static-table .title {
        padding-top: 15px;
        font-weight: 500;
    }

    .static-table .field {
        padding-left: 15px;
        text-align: right;
        width: 10%;
        white-space: nowrap;
        border-bottom: 1px solid transparent;
        font-weight: 400;
    }

    .static-table .field-w-20 {
        padding-left: 15px;
        text-align: right;
        white-space: nowrap;
        border-bottom: 1px solid transparent;
        font-weight: 400;
        width: 20%;
    }

    .static-table .field-w-30 {
        padding-left: 15px;
        text-align: right;
        white-space: nowrap;
        border-bottom: 1px solid transparent;
        font-weight: 400;
        width: 30%;
    }

    .static-table .control {
        white-space: nowrap;
        background-color: #fafafa;
        border-bottom: 1px solid white;
    }

    .static-table .value {
        background-color: #fafafa;
        border-bottom: 1px solid white;
        color: #546e7a;
    }

        .static-table .value.last {
            padding-bottom: 8px;
        }

.border-frame {
    border: 1px dashed #39a1f4;
    border-radius: 4px;
}

.text-invalid {
    color: #fd3995 !important;
}
